Name: aly
Summary: Light Python Script Editor
Version: 0.1.0
Release: xm1
License: GPLv2+
Group: Applications/Development
Source: aly-%{version}.tar.bz2
Packager: Pascal Brachet
Url: https://www.xm1math.net/aly/


%if 0%{?fedora}
%define debug_package %{nil}
BuildRequires: gcc-c++
BuildRequires: qt5-devel  
BuildRequires: qt5-qtbase-devel 
BuildRequires: qt5-qtscript-devel 
BuildRequires: qt5-qttools-devel
%endif

%if 0%{?suse_version}
BuildRequires: libQt5Core-devel
BuildRequires: libQt5Gui-devel
BuildRequires: libQt5Concurrent-devel
BuildRequires: libQt5Core-devel
BuildRequires: libQt5Network-devel
BuildRequires: libQt5PrintSupport-devel
BuildRequires: libQt5Widgets-devel
BuildRequires: libqt5-qtbase-devel 
BuildRequires: libqt5-qtbase-common-devel
BuildRequires: libqt5-qtscript-devel
BuildRequires: libqt5-qttools-devel
%endif

%description
Aly is a light and clean python code editor

%prep
%setup 

%build
PREFIX=%{buildroot}%{_prefix}
%if 0%{?suse_version}
qmake-qt5 aly.pro
%endif
%if 0%{?fedora}
qmake-qt5 CONFIG-=debug aly.pro
%endif
make INSTALL_ROOT=%{buildroot}

%install
make INSTALL_ROOT=%{buildroot} install

%files
%defattr(-,root,root,-)
%{_bindir}/aly
%{_datadir}/applications/aly.desktop
%{_datadir}/pixmaps/aly.png
%{_datadir}/aly/hardwordwrap_selection_80col.tms
%{_datadir}/aly/doc1.png
%{_datadir}/aly/doc2.png
%{_datadir}/aly/doc3.png
%{_datadir}/aly/doc4.png
%{_datadir}/aly/doc5.png
%{_datadir}/aly/doc6.png
%{_datadir}/aly/doc7.png
%{_datadir}/aly/doc8.png
%{_datadir}/aly/usermanual_fr.html
%{_datadir}/aly/AUTHORS
%{_datadir}/aly/COPYING
%{_datadir}/aly/CHANGELOG.txt
%{_datadir}/aly/aly16x16.png
%{_datadir}/aly/aly22x22.png
%{_datadir}/aly/aly32x32.png
%{_datadir}/aly/aly48x48.png
%{_datadir}/aly/aly64x64.png
%{_datadir}/aly/aly128x128.png
%{_datadir}/aly/aly.svg
%{_datadir}/aly/qt_en.qm
%{_datadir}/aly/qt_fr.qm
%{_datadir}/aly/aly_fr.qm
